CMSIS-Driver: MCI CMD Line Mode

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
MCI CMD Line Mode
MCI Control Codes

Specify the CMD line mode (Push-Pull or Open Drain). More...

## Macros

#define | ARM_MCI_BUS_CMD_PUSH_PULL (0x00UL)
| Push-Pull CMD line (default) More...
#define | ARM_MCI_BUS_CMD_OPEN_DRAIN (0x01UL)
| Open Drain CMD line (MMC only) More...

## Description

Specify the CMD line mode (Push-Pull or Open Drain).

Set the CMD line type with the function ARM_MCI_Control. The CMD line mode is push-pull (default) or open drain (needed for older MMC).

## Macro Definition Documentation

#define ARM_MCI_BUS_CMD_PUSH_PULL (0x00UL)

Push-Pull CMD line (default)

#define ARM_MCI_BUS_CMD_OPEN_DRAIN (0x01UL)

Open Drain CMD line (MMC only)